Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.poifs.common
Interface POIFSConstants

    public interface POIFSConstants

A repository for constants shared by POI classes.

Field Summary
`static int` | `BIG_BLOCK_MINIMUM_DOCUMENT_SIZE` The minimum size of a document before it's stored using Big Blocks (normal streams).
`static int` | `DIFAT_SECTOR_BLOCK` Indicates the sector holds a DIFAT block (0xFFFFFFFC)
`static int` | `END_OF_CHAIN` Indicates the sector is the end of a chain (0xFFFFFFFE)
`static int` | `FAT_SECTOR_BLOCK` Indicates the sector holds a FAT block (0xFFFFFFFD)
`static int` | `LARGER_BIG_BLOCK_SIZE` Some use 4096 bytes
`static POIFSBigBlockSize` | `LARGER_BIG_BLOCK_SIZE_DETAILS`
`static int` | `LARGEST_REGULAR_SECTOR_NUMBER` The highest sector number you're allowed, 0xFFFFFFFA
`static byte[]` | `OOXML_FILE_HEADER` The first 4 bytes of an OOXML file, used in detection
`static int` | `PROPERTY_SIZE` How big a single property is
`static int` | `SMALL_BLOCK_SIZE` How big a block in the small block stream is.
`static int` | `SMALLER_BIG_BLOCK_SIZE` Most files use 512 bytes as their big block size
`static POIFSBigBlockSize` | `SMALLER_BIG_BLOCK_SIZE_DETAILS`
`static int` | `UNUSED_BLOCK` Indicates the sector is not used (0xFFFFFFFF)

Field Detail

### SMALLER_BIG_BLOCK_SIZE

    static final int SMALLER_BIG_BLOCK_SIZE

  Most files use 512 bytes as their big block size

  See Also:
    Constant Field Values

### SMALLER_BIG_BLOCK_SIZE_DETAILS

    static final POIFSBigBlockSize SMALLER_BIG_BLOCK_SIZE_DETAILS

### LARGER_BIG_BLOCK_SIZE

    static final int LARGER_BIG_BLOCK_SIZE

  Some use 4096 bytes

  See Also:
    Constant Field Values

### LARGER_BIG_BLOCK_SIZE_DETAILS

    static final POIFSBigBlockSize LARGER_BIG_BLOCK_SIZE_DETAILS

### SMALL_BLOCK_SIZE

    static final int SMALL_BLOCK_SIZE

  How big a block in the small block stream is. Fixed size

  See Also:
    Constant Field Values

### PROPERTY_SIZE

    static final int PROPERTY_SIZE

  How big a single property is

  See Also:
    Constant Field Values

### BIG_BLOCK_MINIMUM_DOCUMENT_SIZE

    static final int BIG_BLOCK_MINIMUM_DOCUMENT_SIZE

  The minimum size of a document before it's stored using Big Blocks (normal streams). Smaller documents go in the Mini Stream (SBAT / Small Blocks)

  See Also:
    Constant Field Values

### LARGEST_REGULAR_SECTOR_NUMBER

    static final int LARGEST_REGULAR_SECTOR_NUMBER

  The highest sector number you're allowed, 0xFFFFFFFA

  See Also:
    Constant Field Values

### DIFAT_SECTOR_BLOCK

    static final int DIFAT_SECTOR_BLOCK

  Indicates the sector holds a DIFAT block (0xFFFFFFFC)

  See Also:
    Constant Field Values

### FAT_SECTOR_BLOCK

    static final int FAT_SECTOR_BLOCK

  Indicates the sector holds a FAT block (0xFFFFFFFD)

  See Also:
    Constant Field Values

### END_OF_CHAIN

    static final int END_OF_CHAIN

  Indicates the sector is the end of a chain (0xFFFFFFFE)

  See Also:
    Constant Field Values

### UNUSED_BLOCK

    static final int UNUSED_BLOCK

  Indicates the sector is not used (0xFFFFFFFF)

  See Also:
    Constant Field Values

### OOXML_FILE_HEADER

    static final byte[] OOXML_FILE_HEADER

  The first 4 bytes of an OOXML file, used in detection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD